## manila 20.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# pbr should be first
pbr>=5.5.0 # Apache-2.0

alembic>=1.4.2 # MIT
defusedxml>=0.7.1 # PSFL
eventlet>=0.27.0 # MIT
greenlet>=0.4.16 # MIT
lxml>=4.5.2 # BSD
netaddr>=0.8.0 # BSD
oslo.config>=8.3.2 # Apache-2.0
oslo.context>=3.1.1 # Apache-2.0
oslo.db>=8.4.0 # Apache-2.0
oslo.i18n>=5.0.1 # Apache-2.0
oslo.log>=4.4.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.privsep>=2.4.0 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.0.1 # Apache-2.0
oslo.service>=2.4.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=7.0.0 # Apache-2.0
oslo.concurrency>=4.3.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
pyparsing>=2.4.7 # MIT
python-neutronclient>=6.7.0 # Apache-2.0
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
tenacity>=6.3.1  # Apache-2.0
Routes>=2.4.1 # MIT
SQLAlchemy>=1.3.17 # MIT
SQLAlchemy-Utils>=0.38.3 # BSD License
stevedore>=3.2.2 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
python-cinderclient>=4.0.1 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
WebOb>=1.8.6 # MIT
cachetools>=4.2.1 # MIT
packaging>=20.9 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx>=2.1.1 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:20.0.0-3) unstable; urgency=medium

  * Fix uwsgi config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 10:45:46 +0200

manila (1:20.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:11:15 +0200

manila (1:20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:39:42 +0200

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 git,
 python3-bashate,
 python3-cachetools,
 python3-cinderclient,
 python3-coverage,
 python3-ddt <!nodoc>,
 python3-defusedxml,
 python3-eventlet,
 python3-fixtures <!nodoc>,
 python3-glanceclient,
 python3-greenlet,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 15.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest <!nodoc>,
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-requests-mock,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tenacity,
 python3-testresources <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools,
 python3-tooz,
 python3-webob,
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/manila
Vcs-Git: https://salsa.debian.org/openstack-team/services/manila.git
Homepage: https://github.com/openstack/manila

Package: manila-api
Architecture: all
Depends:
 adduser,
 debconf,
 manila-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 python3-ceph-argparse,
 python3-rados,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic,
 e2fsprogs,
 python3-cachetools,
 python3-cinderclient,
 python3-defusedxml,
 python3-eventlet,
 python3-glanceclient,
 python3-greenlet,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-lxml,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 15.0.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-manila,
Description: OpenStack shared file system as a service - Python libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python library for Manila.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst debian/manila-common.postrm
	rm -rf debian/manila-common.postrm debian/*.templates debian/po
	rm -rf build .stestr *.egg-info doc/source/_static
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm manila-common.postrm
	pkgos-merge-templates manila-api manila endpoint
	pkgos-merge-templates manila-common manila db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_1.*|.*api\.v2\.test_share_groups\.ShareGroupAPITest\.test_share_group_force_delete_with_different_roles_2.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_list_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_show_subnet.*|.*api\.v2\.test_share_network_subnets\.ShareNetworkSubnetControllerTest\.test_subnet_create.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnet.*|.*api\.views\.test_share_network_subnets\.ViewBuilderTestCase\.test_build_share_network_subnets.*|.*share\.drivers\.infinidat.*|.*share\.drivers\.netapp\.dataontap\.client\.test_client_cmode_rest\.NetAppRestCmodeClientTestCase\.test_remove_preferred_dcs.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--namespace manila \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken manila

	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	mkdir -p $(CURDIR)/debian/manila-common/etc/manila/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/manila-common/etc/manila/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace manila

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/manila-common/etc/manila/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_policy policy_dirs /etc/manila/policy.d

	# and copy the remaining
	set -e ; for i in api-paste.ini rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

	dh_install
	dh_missing --fail-missing
	rm -rf $(CURDIR)/debian/manila-api/usr/lib

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## manila 20.0.0+git2025070714.48cc585db

=== debian/changelog ===
manila (1:20.0.0+git2025070714.48cc585db-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/fix-py396-test-races.patch: Refresh.
  * d/p/fix-tests-for-ubuntu.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 14:48:13 -0700

manila (1:20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 19:06:49 +0200

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cachetools (>= 4.2.1),
 python3-cinderclient (>= 1:4.0.1),
 python3-ddt (>= 1.4.1),
 python3-defusedxml (>= 0.7.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-iso8601 (>= 0.1.12),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.2.1),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.0.1),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-oslotest (>= 1:4.4.1),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.9),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.7.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-sqlalchemy (>= 1.3.17),
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stestr (>= 3.0.1),
 python3-stevedore (>= 1:3.2.2),
 python3-tenacity (>= 6.3.1),
 python3-testresources (>= 2.0.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.7.1),
 python3-webob (>= 1:1.8.6),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/manila
Homepage: https://opendev.org/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 1.4.2),
 python3-babel (>= 2.3.4),
 python3-cachetools (>= 4.2.1),
 python3-cinderclient (>= 1:4.0.1),
 python3-defusedxml (>= 0.7.1),
 python3-eventlet (>= 0.27.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-netaddr (>= 0.8.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:17.2.1),
 python3-openstackclient,
 python3-oslo.concurrency (>= 4.3.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.1.1),
 python3-oslo.db (>= 8.4.0),
 python3-oslo.i18n (>= 5.0.1),
 python3-oslo.log (>= 4.4.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 2.4.0),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.0.1),
 python3-oslo.service (>= 2.4.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.0.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.9),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.5.0),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql,
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.23.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-sqlalchemy (>= 1.3.17),
 python3-sqlalchemy-utils (>= 0.38.3),
 python3-stevedore (>= 1:3.2.2),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack shared file system as a service - Python 3 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 3 library for Manila.

## manila 21.0.0~rc1

=== debian/changelog ===
manila (1:21.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 08:11:56 +0000

manila (1:21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 09:51:31 +0200

manila (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch manila-api uwsgi config to module=manila.wsgi.api:application.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 09:47:56 +0200

## manila 21.0.0~rc2

=== debian/changelog ===
manila (1:21.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 09:24:25 +0200

## manila 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 pbr>=5.5.0 # Apache-2.0
 
 alembic>=1.4.2 # MIT
+castellan>=3.7.0 # Apache-2.0
 defusedxml>=0.7.1 # PSFL
 eventlet>=0.27.0 # MIT
 greenlet>=0.4.16 # MIT
@@ -38,7 +39,7 @@
 requests>=2.23.0 # Apache-2.0
 tenacity>=6.3.1  # Apache-2.0
 Routes>=2.4.1 # MIT
-SQLAlchemy>=1.3.17 # MIT
+SQLAlchemy>=1.4.0 # MIT
 SQLAlchemy-Utils>=0.38.3 # BSD License
 stevedore>=3.2.2 # Apache-2.0
 tooz>=2.7.1 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 openstackdocstheme>=2.2.1 # Apache-2.0
 reno>=3.1.0 # Apache-2.0
-doc8>=0.6.0 # Apache-2.0
 sphinx>=2.1.1 # BSD
 os-api-ref>=1.4.0 # Apache-2.0
 ddt>=1.0.1 # MIT

=== debian/changelog ===
manila (1:21.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:47:00 -0700

manila (1:21.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 10:35:12 -0700

manila (1:20.0.0+git2025070714.48cc585db-0ubuntu2) questing; urgency=medium

  * d/manila-common.sudoers, d/manilla_sudoers: Drop !requiretty override
    causing compatibility issues with sudo-rs. (LP: #2120708)

 -- Myles Penner <myles.penner@canonical.com>  Sat, 16 Aug 2025 14:23:05 -0700

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-babel (>= 2.3.4),
  python3-bashate (>= 0.5.1),
  python3-cachetools (>= 4.2.1),
+ python3-castellan (>= 3.7.0),
  python3-cinderclient (>= 1:4.0.1),
  python3-ddt (>= 1.4.1),
  python3-defusedxml (>= 0.7.1),
@@ -72,7 +73,7 @@
  python3-requests-mock (>= 1.7.0),
  python3-retrying (>= 1.2.3),
  python3-routes (>= 2.4.1),
- python3-sqlalchemy (>= 1.3.17),
+ python3-sqlalchemy (>= 1.4.0),
  python3-sqlalchemy-utils (>= 0.38.3),
  python3-stestr (>= 3.0.1),
  python3-stevedore (>= 1:3.2.2),
@@ -246,7 +247,7 @@
  python3-requests (>= 2.23.0),
  python3-retrying (>= 1.2.3),
  python3-routes (>= 2.4.1),
- python3-sqlalchemy (>= 1.3.17),
+ python3-sqlalchemy (>= 1.4.0),
  python3-sqlalchemy-utils (>= 0.38.3),
  python3-stevedore (>= 1:3.2.2),
  python3-tenacity (>= 6.3.1),

=== debian/tests/control ===
Tests: manila-daemons
Depends:
 crudini,
 manila-api,
 manila-common,
 manila-data,
 manila-scheduler,
 manila-share,
 mysql-server,
 rabbitmq-server,
Restrictions: needs-root allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/manila/ manila-(\d{1,2}\.\d.*)\.tar.gz

## manila 21.0.0+git20260126.6017d99

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 netaddr>=0.8.0 # BSD
 oslo.config>=8.3.2 # Apache-2.0
 oslo.context>=3.1.1 # Apache-2.0
-oslo.db>=8.4.0 # Apache-2.0
+oslo.db>=17.2.1 # Apache-2.0
 oslo.i18n>=5.0.1 # Apache-2.0
 oslo.log>=4.4.0 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
@@ -45,7 +45,8 @@
 tooz>=2.7.1 # Apache-2.0
 python-cinderclient>=4.0.1 # Apache-2.0
 python-novaclient>=17.2.1 # Apache-2.0
-python-glanceclient>=3.2.2 # Apache-2.0
 WebOb>=1.8.6 # MIT
 cachetools>=4.2.1 # MIT
 packaging>=20.9 # Apache-2.0
+jsonschema>=4.17 # MIT
+openstacksdk>=4.1.0 # Apache-2.0

=== debian/changelog ===
manila (1:21.0.0+git20260126.6017d99-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update version
  * d/u/signing-key.asc: remove for snapshot
  * d/patches/*: refresh patches
  * New upstream snapshot from 6017d9976e526412e601c677da15d62c6ce73604
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 26 Jan 2026 14:38:10 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/manila/ manila-(\d{1,2}\.\d.*)\.tar.gz

## manila 2014.1~git20140220

=== requirements.txt ===
pbr>=0.5.21,<1.0
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
iso8601>=0.1.8
kombu>=2.4.8
lockfile>=0.8
lxml>=2.3
oslo.config>=1.2.0
paramiko>=1.8.0
Paste
PasteDeploy>=1.5.0
python-neutronclient>=2.3.0,<3
python-glanceclient>=0.9.0
python-keystoneclient>=0.3.2
python-swiftclient>=1.5
Routes>=1.12.3
SQLAlchemy>=0.7.8,<=0.7.99
sqlalchemy-migrate>=0.7.2
stevedore>=0.10
python-cinderclient>=1.0.6
python-novaclient>=2.15.0
suds>=0.4
WebOb>=1.2.3,<1.3
wsgiref>=0.1.2

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6),
Build-Depends-Indep: python-pbr,
 python-amqplib,
 python-anyjson,
 python-babel,
 python-eventlet,
 python-greenlet,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-oslo.config,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-neutronclient,
 python-glanceclient,
 python-keystoneclient,
 python-swiftclient,
 python-cinderclient,
 python-routes,
 python-sqlalchemy,
 python-migrate,
 python-stevedore,
 python-manilaclient,
 python-novaclient,
 python-suds,
 python-webob,
 python-hp3parclient,
 python-mock,
 python-mox,
 python-nose
Standards-Version: 3.9.4

Package: python-manila
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-amqplib,
 python-anyjson,
 python-babel,
 python-eventlet,
 python-greenlet,
 python-eventlet,
 python-iso8601,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-oslo.config,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-neutronclient,
 python-glanceclient,
 python-keystoneclient,
 python-swiftclient,
 python-routes,
 python-sqlalchemy,
 python-migrate,
 python-stevedore,
 python-manilaclient,
 python-novaclient,
 python-suds,
 python-webob
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: manila-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P || true
endif

override_dh_fixperms:
	dh_fixperms -Xmanila_tgt.conf

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/manila/+download https://launchpad.net/manila/.*/.*/.*/manila-(.*)\.tar\.gz

## manila 2015.1~b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=0.6,!=0.7,<1.0

alembic>=0.6.4
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.15.2
greenlet>=0.3.2
iso8601>=0.1.9
kombu>=2.5.0
lockfile>=0.8
lxml>=2.3
oslo.config>=1.4.0  # Apache-2.0
oslo.db>=1.1.0  # Apache-2.0
oslo.i18n>=1.0.0  # Apache-2.0
oslo.messaging>=1.4.0,!=1.5.0
oslo.rootwrap>=1.3.0
oslo.serialization>=1.0.0               # Apache-2.0
oslo.utils>=1.1.0                       # Apache-2.0
oslo.concurrency>=0.3.0  # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
posix_ipc
python-neutronclient>=2.3.6,<3
keystonemiddleware>=1.0.0
Routes>=1.12.3,!=2.0
six>=1.7.0
SQLAlchemy>=0.9.7,<=0.9.99
stevedore>=1.1.0  # Apache-2.0
python-cinderclient>=1.1.0
python-novaclient>=2.18.0
suds>=0.4
WebOb>=1.2.3
wsgiref>=0.1.2

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.6.4),
 python-amqplib,
 python-anyjson,
 python-babel (>= 1.3),
 python-cinderclient,
 python-ddt,
 python-eventlet (>= 0.15.2),
 python-glanceclient,
 python-greenlet (>= 0.3.2),
 python-hacking,
 python-hp3parclient,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-manilaclient,
 python-migrate,
 python-mock,
 python-mox,
 python-neutronclient,
 python-nose,
 python-novaclient,
 python-oslo.concurrency,
 python-oslo.config,
 python-oslo.db,
 python-oslo.i18n,
 python-oslo.messaging,
 python-oslo.rootwrap,
 python-oslo.serialization,
 python-oslo.utils,
 python-oslotest,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-pbr,
 python-posix-ipc,
 python-routes,
 python-six,
 python-sqlalchemy,
 python-stevedore,
 python-suds,
 python-swiftclient,
 python-testtools,
 python-webob,
 python-wsgiref,
 subunit,
 testrepository
Standards-Version: 3.9.6

Package: python-manila
Section: python
Architecture: all
Depends:
 python-amqplib,
 python-anyjson,
 python-babel,
 python-eventlet,
 python-glanceclient,
 python-greenlet,
 python-iso8601,
 python-keystoneclient,
 python-kombu,
 python-lockfile,
 python-lxml,
 python-manilaclient,
 python-migrate,
 python-neutronclient,
 python-novaclient,
 python-oslo.config,
 python-paramiko,
 python-paste,
 python-pastedeploy,
 python-routes,
 python-sqlalchemy,
 python-stevedore,
 python-suds,
 python-swiftclient,
 python-webob,
 ${misc:Depends},
 ${python:Depends}
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

## manila 2015.1~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=0.6,!=0.7,<1.0

alembic>=0.7.2
Babel>=1.3
eventlet>=0.16.1
greenlet>=0.3.2
httplib2>=0.7.5
iso8601>=0.1.9
lxml>=2.3
oslo.config>=1.6.0  # Apache-2.0
oslo.context>=0.1.0                     # Apache-2.0
oslo.db>=1.4.1  # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.messaging>=1.4.0,!=1.5.0
oslo.rootwrap>=1.3.0
oslo.serialization>=1.2.0               # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
oslo.concurrency>=1.4.1         # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
python-neutronclient>=2.3.6,<3
keystonemiddleware>=1.0.0
Routes>=1.12.3,!=2.0
six>=1.7.0
SQLAlchemy>=0.9.7,<=0.9.99
stevedore>=1.1.0  # Apache-2.0
python-cinderclient>=1.1.0
python-novaclient>=2.18.0
WebOb>=1.2.3

=== debian/control ===
--- 
+++ 
@@ -10,21 +10,20 @@
  openstack-pkg-tools (>= 21ubuntu5~),
  python-all (>= 2.6)
 Build-Depends-Indep:
- alembic (>= 0.6.4),
+ alembic (>= 0.7.2),
  python-amqplib,
  python-anyjson,
  python-babel (>= 1.3),
  python-cinderclient,
- python-ddt,
- python-eventlet (>= 0.15.2),
+ python-ddt (>= 1.0.0),
+ python-eventlet (>= 0.16.1),
  python-glanceclient,
  python-greenlet (>= 0.3.2),
  python-hacking,
  python-hp3parclient,
+ python-httplib2 (>= 0.7.5),
  python-iso8601,
  python-keystoneclient,
- python-kombu,
- python-lockfile,
  python-lxml,
  python-manilaclient,
  python-migrate,
@@ -33,29 +32,28 @@
  python-neutronclient,
  python-nose,
  python-novaclient,
- python-oslo.concurrency,
- python-oslo.config,
- python-oslo.db,
- python-oslo.i18n,
- python-oslo.messaging,
- python-oslo.rootwrap,
- python-oslo.serialization,
- python-oslo.utils,
+ python-oslo-concurrency (>= 1.4.1),
+ python-oslo-config (>= 1.6.0),
+ python-oslo-context (>= 0.1.0),
+ python-oslo-db (>= 1.4.1),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-messaging (>= 1.4.0),
+ python-oslo-rootwrap (>= 1.3.0),
+ python-oslo-serialization (>= 1.2.0),
+ python-oslo-utils (>= 1.2.0),
  python-oslotest,
  python-paramiko,
  python-paste,
  python-pastedeploy,
  python-pbr,
- python-posix-ipc,
  python-routes,
  python-six,
  python-sqlalchemy,
  python-stevedore,
- python-suds,
  python-swiftclient,
+ python-testresources,
  python-testtools,
  python-webob,
- python-wsgiref,
  subunit,
  testrepository
 Standards-Version: 3.9.6
@@ -79,7 +77,15 @@
  python-migrate,
  python-neutronclient,
  python-novaclient,
- python-oslo.config,
+ python-oslo-concurrency (>= 1.4.1),
+ python-oslo-config (>= 1.6.0),
+ python-oslo-context (>= 0.1.0),
+ python-oslo-db (>= 1.4.1),
+ python-oslo-i18n (>= 1.3.0),
+ python-oslo-messaging (>= 1.4.0),
+ python-oslo-rootwrap (>= 1.3.0),
+ python-oslo-serialization (>= 1.2.0),
+ python-oslo-utils (>= 1.2.0),
  python-paramiko,
  python-paste,
  python-pastedeploy,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_auto_build:
	dh_auto_build
	oslo-config-generator --config-file etc/oslo-config-generator/manila.conf \
		--output-file etc/manila/manila.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/" \
 http://tarballs.openstack.org/manila manila-(\d.*)\.tar.gz
